<div class="title is-4">Editar: <%= @changeset.data.name %></div>

<%= if error = get_flash(@conn, :error) do %>
<article class="message is-danger">
  <div class="message-header">
    <p><%= error %></p>
  </div>
</article>
<% end %>

<%= form_for @changeset, setting_path(@conn, :update, @changeset.data.name), fn f -> %>
<div class="field">
  <label class="label">
    Valor textual:
    <p><%= error_tag f, :string_value %></p>
    <%= textarea(f, :string_value, class: "textarea") %>
  </label>

  <label class="label">
    Valor numerico:
    <p><%= error_tag f, :int_value %></p>
    <%= number_input(f, :int_value, class: "input") %>
  </label>
</div>

<%= submit "Guardar", class: "button is-success" %>
<% end %>
